/* Main Logo */
.main-logo {
   display: block;
   width: 230px;
   height: 60px;
   background-size: 220px;
   background-repeat: no-repeat;
   background-position: center;
}

/* Body Background */
body.app-theme-1 {
   background-color: #F2F2F2;
}

/* Change Scrollbar */
::-webkit-scrollbar {
   width: 5px;
   margin-left: 3px;
}

::-webkit-scrollbar-track {
   border-radius: 20px;
}

::-webkit-scrollbar-thumb {
   background: rgb(194, 194, 194);
   border-radius: 50px;

   &:hover {
      background: rgb(224, 224, 224);
   }
}

/* Default Color */
.u-bg-theme--primary {
   background-color: #2F3292 !important; 
}

/* Display Custom */
.u-flex {
   display: flex !important;
}

/* Navigation Theme */
.c-nav__theme--primary {
   font-family: 'Open Sans', sans-serif;
   font-size: 16px;
   font-weight: 500;

   a.c-nav__link {
      color: #FFFFFF;

      &:first-child {
         padding-left: 0!important;
      }
   }

   a.c-nav__link {
      &:last-child {
         padding-right: 0!important;
      }
   }
}

/* Background Theme */
.c-background-theme-300 {
   height: 300px;
}

.c-background-theme-230 {
   height: 230px;
}

.c-background-theme-300,
.c-background-theme-230 {
   background: #212360;
   position: relative;
   overflow: hidden;
   width: 100%;
   z-index: 0;
   top: 120px;

   &::after {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 0;
      width: 100%;
      height: 100%;
      background-image: linear-gradient(-180deg,rgba(0,160,255,0),#013a6b);
      background-image: -webkit-gradient(linear,left top,left bottom,from(rgba(0,160,255,0)),to(#013a6b));
      content: "";
      opacity: .8;
   }
}

/* Title Only Custom */
.c-title-only,
.c-title-with-nav {
   margin-bottom: 25px;
   
   .is-title {
      font-size: 18px;
      font-weight: 500;
      color: #000000;
      margin-bottom: 10px;
   }

   .is-border {
      border-bottom: 3px solid #2F3292;
      width: 65px;
   }
}

/* Title with Navigation */
.c-title-with-nav {
   display: flex;
   justify-content: space-between;
   align-items: center;

   .right {
      display: flex;
      justify-content: flex-end;
      align-items: center;

      .swiper-button-next,
      .swiper-button-prev {
         position: relative;
         background-image: none;
         width: auto;
         height: auto;
         margin-top: 0;
      }

      .swiper-button-prev {
         left: 0;
         right: 0;
         margin-right: 10px;
      }

      .swiper-button-next {
         right: 0;
         left: 0;
         margin-left: 10px;
      }

      .swiper-button-prev::before,
      .swiper-button-next::before {
         font-family: 'Font Awesome 5 Free';
         font-size: 22px;
         font-weight: 600;
         color: #2F3292;
      }
      .swiper-button-prev::before {
         content: '\f053';
      }
      .swiper-button-next::before {
         content: '\f054';
      }

      a.is-link-more {
         font-size: 14px;
         font-weight: 500;
         color: #2F3292;

         &:hover {
            color: rgb(25, 28, 93);
         }
      }
   }
}

/* divide 2 columns */
.column-div-2 {
   -webkit-column-count: 2;
   -moz-column-count: 2;
   column-count: 2;
}


/* reset nav link in navbarMain */
#navbarMain {
   &.c-nav__link {
      padding: 0;
   }
}


/* paragraph style */
.c-paragraph-style {
   font-size: 14px;
   font-weight: 500;
   line-height: 27px;
   color: #6E6E6E;
}


/* title primary bg with border bottom */
.c-title-bg-primary {
   font-size: 15px;
   font-weight: 500;
   color: #FFFFFF;
   text-align: center;
   background: #212360;
   padding: 10px 20px;
}

.c-title-bd-bottom-primary {
   border-bottom: 4px solid #212360;
}


/* Modify Custom Select2 */
.select2-container--default {
   &.select2-container--open {
      .select2-selection--single {
         .select2-selection__arrow {
            b {
               background-image: url('../../assets/icon/arrow-round-bottom.png');
               background-repeat: no-repeat;
               width: 24px;
               height: 24px;
               border: 0;
               transform: rotate(180deg);
            }
         }
      }
   }

   .select2-selection--single {
      .select2-selection__arrow {
         width: auto;
         height: auto;
         line-height: 0;
         top: 9px;
         right: 12px;
         width: 20px;

         b {
            background-image: url('../../assets/icon/arrow-round-bottom.png');
            background-repeat: no-repeat;
            width: 24px;
            height: 24px;
            border: 0;
            margin-left: -14px;
            margin-top: 0;
            transition: all 275ms;
         }
      }
   }
}

.select2-results {
   ul {
      &.select2-results__options {
         transition: all 375ms ease-in-out;
      }
   }
}

.c-tab-show-column-grid {
   .row {
      .col-2 {
         &:nth-child(1n+7) {
            margin-top: 15px;
         }
      }
   }
}


/* custom accordion */
.panel-heading {
   padding: 0;
   border: 0;
   background: none;
}

.panel-title>a,
.panel-title>a:active {
   display: block;
   padding: 15px;
   color: #FFFFFF;
   font-size: 15px;
   font-weight: 500;
   text-align: center;
   text-decoration: none;
}

.panel-heading a:before {
   font-family: "Font Awesome\ 5 Free";
   font-weight: 700;
   content: "\f078";
   float: right;
   transition: all 0.5s;
}

.panel-heading.active a:before {
   -webkit-transform: rotate(180deg);
   -moz-transform: rotate(180deg);
   transform: rotate(180deg);
}

.snj {
   &-panel {
      .panel {
         margin: 0;
         border-radius: 5px;
         border: 1px solid #FFFFFF;
         box-shadow: 0px 3px 20px 0px rgba(120,120,120,0.16);
         -webkit-box-shadow: 0px 3px 20px 0px rgba(120,120,120,0.16);
         -moz-box-shadow: 0px 3px 20px 0px rgba(120,120,120,0.16);

         &-heading {
            background: none;
            border: none;
            border-top-left-radius: 5px;
            border-top-right-radius: 5px;
         }

         +.panel {
            margin: 0;
            border-bottom-left-radius: 5px;
            border-bottom-right-radius: 5px;
            border: none;
            box-shadow: none;
         }

         &-title {
            a {
               display: block;
               text-decoration: none;
            }
         }

         &-body {
            line-height: rem(22px);
            padding: 10px 20px;

            ul {
               padding-left: 0;
               margin-bottom: 0;

               li {
                  list-style: none;
                  font-size: 14px;
                  font-weight: 500;
                  color: rgb(63, 63, 63);
                  margin-bottom: 10px;

                  &:last-child {
                     margin-bottom: 0;
                  }
               }
            }
         }
      }
   }
}


/* custom container */
@media (min-width: 1200px) {
   .o-container {
      max-width: 1280px !important;
   }
}


/* custom navigation */
.c-nav-custom {
   border: 1px solid #2F3292;
   border-radius: 5px;

   &.c-nav__pills {
      .c-nav__link {
         &.active {
            background-color: #2F3292;
            color: #FFFFFF;
            border-radius: 0;
         }
         padding: 10px 20px;
      }
      font-size: 13px;

      ul {
         li {
            &:first-child {
               .c-nav__link {
                  &.active {
                     border-top-left-radius: 5px;
                     border-bottom-left-radius: 5px;
                  }
               }
            }

            &:last-child {
               .c-nav__link {
                  &.active {
                     border-top-right-radius: 5px;
                     border-bottom-right-radius: 5px;
                  }
               }
            }
         }
      }
   }
}


/* agenda status */
.c-agenda-status {
   border-radius: 20px;
   color: #FFFFFF;
   padding-top: 5px;
   padding-bottom: 5px;
   font-size: 13px;
   text-align: center;

   &-batal {
      background-color: #E35858;
   }

   &-aktif {
      background-color: #92C826;
   }

   &-ulang {
      background-color: #DF9627;
   }

   &-tunda {
      background-color: #B067C5;
   }

   &-selesai {
      background-color: #2F3292;
   }
}


/* agenda download report */
ul {
   &.c-agenda-download {
      padding-left: 0;
      margin-bottom: 0;

      li {
         list-style: none;

         &:nth-child(1n+1) {
            margin-right: 10px;
            &:last-child {
               margin-right: 0;
            }
         }

         img {
            width: 30px;
         }
      }

      display: flex;
      justify-content: center;
      align-items: center;
   }
}


/* agenda kategori */
.c-card-agenda {
   ul {
      padding-left: 0;
      margin-bottom: 0;
      li {
         list-style: none;
         border-bottom: 1px solid #d8d8d8;
         padding-bottom: 20px;
         margin-bottom: 20px;
         &:last-child {
            border: 0;
            margin-bottom: 0;
            padding-bottom: 0;
         }
      }
   }
}

.c-kategori-agenda {
   .col-4 {
      &:nth-child(1n+4) {
         margin-top: 35px;
      }
   }
}

.c-table-with-list {
   tr {
      th {
         font-size: 13px !important;
      }

      td {
         font-size: 13px !important;
         ul {
            padding-left: 0;
            margin-bottom: 0;

            li {
               list-style: none;
            }
         }
      }
   }
}


// scrollable content
.c-scrollable-content {
   ul {
      &.row {
         padding-left: 0;
         margin-bottom: 0;
      }

      li {
         list-style: none;
         margin-bottom: 15px;
         &:last-child {
            margin-bottom: 0;
         }
      }
   }
}


// custom daftar agenda
.c-daftar-agenda {
   .row {
      .col-3 {
         ul {
            &.c-nav {
               background-color: #F2F2F2;
               border-top: 1px solid #D8D8D8;
               border-bottom: 1px solid #D8D8D8;
               border-left: 1px solid #D8D8D8;
               border-radius: 10px;
               border-top-right-radius: 0;
               border-bottom-right-radius: 0;
            }
            li {
               border-bottom: 1px solid #D8D8D8;
               &:last-child {
                  border-bottom: 0;
               }

               a {
                  color: #000000;
                  font-size: 13px;
                  font-weight: 600;
               }
            }
         }
      }

      .col-9 {
         border-top: 1px solid #D8D8D8;
         border-bottom: 1px solid #D8D8D8;
         border-right: 1px solid #D8D8D8;
         border-left: 1px solid #D8D8D8;
         border-top-right-radius: 10px;
         border-bottom-right-radius: 10px;
         border-bottom-left-radius: 10px;
      }
   }

   ul {
      &.c-nav--gray {
         &.c-nav__pills {
            li {
               &:first-child {
                  .c-nav__link {
                     border-top-left-radius: 10px;
                     border-top-right-radius: 0;
                     border-bottom-left-radius: 0;
                     border-bottom-right-radius: 0;
                  }
               }

               &:last-child {
                  .c-nav__link {
                     border-top-left-radius: 0;
                     border-top-right-radius: 0;
                     border-bottom-left-radius: 10px;
                     border-bottom-right-radius: 0;
                  }
               }

               a {
                  transition: ease-out;

                  &.c-nav__link {
                     padding: 1rem;
                     border-radius: 0;
   
                     &.active {
                        background-color: #FFFFFF;
                        color: #2F3292;
                        font-weight: 600;
                        border-right: 0;
                        transition: ease-out;
                     }
                  }
               }
            }
         }
      }
   }
}


// column repeater
.c-repeat-column-3 {
   .col-3 {
      &:nth-child(1n+5) {
         margin-top: 35px;
      }
   }
}

.c-repeat-column-3--top-8 {
   &.row {
      margin-left: -4px;
      margin-right: -4px;
   }

   .col-3 {
      padding-left: 4px;
      padding-right: 4px;

      &:nth-child(1n+5) {
         margin-top: 8px;
      }
   }
}

.c-repeat-column-3--top-20 {
   .col-3 {
      &:nth-child(1n+5) {
         margin-top: 20px;
      }
   }
}

.c-repeat-column-3--top-25 {
   .col-3 {
      &:nth-child(1n+5) {
         margin-top: 25px;
      }
   }
}

.c-repeat-column-3--top-30 {
   .col-3 {
      &:nth-child(1n+5) {
         margin-top: 30px;
      }
   }
}

.c-repeat-column-6--top-10 {
   .col-6 {
      &:nth-child(1n+3) {
         margin-top: 10px;
      }
   }
}

.c-repeat-column-12--top-10 {
   &.row {
      margin-left: -4px;
      margin-right: -4px;
   }

   .col-12 {
      padding-left: 4px;
      padding-right: 4px;

      &:nth-child(1n+2) {
         margin-top: 10px;
      }
   }
}

.c-repeat-column-12--top-15 {
   .col-12 {
      &:nth-child(1n+2) {
         margin-top: 15px;
      }
   }
}


// contact in map
.c-card-contact-map {
   .c-card__header {
      border-top-left-radius: 10px;
      border-top-right-radius: 10px;
   }

   .embed-responsive {
      border-top-left-radius: 10px;
      border-top-right-radius: 10px;
   }
}


// unlisted style
ul {
   &.c-unlisted {
      padding-left: 0;
      margin-bottom: 0;
      li {
         list-style: none;
      }
   }
}

// unlisted style with border dashed
.c-unlisted {
   &-with-bd-dashed {
      li {
         border-bottom: 1px dashed #6E6E6E;
         padding-bottom: 12px;
         margin-bottom: 12px;
         &:last-child {
            border: 0;
            padding-bottom: 0;
            margin-bottom: 0;
         }
      }
   }
}

// unlisted style with border line
.c-unlisted {
   &-with-bd-line-gray {
      li {
         border-bottom: 1px solid #E4E4E4;
         padding-bottom: 10px;
         margin-bottom: 10px;
         &:last-child {
            border: 0;
            padding-bottom: 0;
            margin-bottom: 0;
         }
      }
   }
}

.c-unlisted {
   &-with-bd-dashed-white {
      li {
         border-bottom: 1px dashed #FFFFFF;
         padding-bottom: 15px;
         margin-bottom: 15px;
         &:last-child {
            border: 0;
            padding-bottom: 0;
            margin-bottom: 0;
         }
      }
   }
}

// unlisted style with margin bottom 15px
.c-unlisted {
   &-with-mrgn-btm-15 {
      li {
         margin-bottom: 15px;
         &:last-child {
            margin-bottom: 0;
         }
      }
   }
}


// navigation in minisite page
.c-nav-minisite {
   &.c-nav__pills {
      .c-nav__link {
         &.active {
            color: #FFFFFF;
            border-radius: 5px;
         }
      }

      a {
         &.c-nav__link {
            font-size: 14px;
            font-weight: 500;
            border: 1px solid transparent;

            &:hover {
               border: 1px solid #212360;
               color: #212360;
               border-radius: 5px;
               &.active {
                  color: #FFFFFF;
               }
            }
         }
      }

      li {
         padding-bottom: 5px;
         &:last-child {
            padding-bottom: 0;
         }
      }
   }
}


// breadcrumb primary color
.c-title-in-header {
   .c-title-breadcrumb {
      .breadcrumb-item {
         &.breadcrumb-item-primary {
            a {
               color: rgb(32, 36, 155);
               &:hover {
                  color: #080B70;
               }
            }

            &.active {
               color: #2F3292;
               font-weight: 600;
            }
         }

         &.breadcrumb-item {
            &.breadcrumb-item-primary {
               &::before {
                  color: #080B70;
               }
            }
         }
      }
   }
}


// box shadow
.c-box-shadow-nav-bottom {
   box-shadow: 0px 3px 20px 0px rgba(0,0,0,0.2);
   -webkit-box-shadow: 0px 3px 20px 0px rgba(0,0,0,0.2);
   -moz-box-shadow: 0px 3px 20px 0px rgba(0,0,0,0.2);
}

// border radius in card footer on embed form
.c-card__footer {
   .embed-responsive {
      border-bottom-left-radius: 10px;
      border-bottom-right-radius: 10px;
   }
}

// nav pills with box shadow
.c-nav-custom-box-shadow {
   &.c-nav__pills {
      font-size: 13px;
      .c-nav-item {
         .c-nav__link {
            padding: 10px 35px;
            &.active {
               color: #FFFFFF;
               border-radius: 5px;
            }
         }
      }
   }

   border: 1px solid #f1f1f1;
   border-radius: 5px;
   padding: 5px;
   box-shadow: 0px 1px 20px 0px rgba(133,133,133,0.18);
   -webkit-box-shadow: 0px 1px 20px 0px rgba(133,133,133,0.18);
   -moz-box-shadow: 0px 1px 20px 0px rgba(133,133,133,0.18);
}


// card with image overlay
.c-card {
   &.c-card--display-img {
      position: relative;
      display: block;
      border-radius: 2px;
      box-shadow: 0 0 1px #bbb, 0 1px 2px #f5f5f5;
      -webkit-box-shadow: 0 0 1px #bbb, 0 1px 2px #f5f5f5;
      cursor: pointer;

      .c-card__head {
         position: relative;
         display: block;
         overflow: hidden;
         border-top-left-radius: 2px;
         border-top-right-radius: 2px;
      }

      .c-card__img {
         z-index: 1;
         display: block;
      }

      .c-card__head-badge {
         position: absolute;
         z-index: 1;
         top: 6px;
         right: 6px;
      }

      .c-badge {
         font-size: 12px;
         display: inline-table;
         vertical-align: middle;
         border-radius: 50%;
         background: #2f3292;
         color: #FFFFFF;

         &.c-badge--small {
            height: 24px;
            width: 24px;
            line-height: 24px;
         }

         &.c-badge--large {
            height: 30px;
            width: 30px;
            line-height: 36px;
         }

         .c-badge__content {
            display: table-cell;
            vertical-align: middle;
            text-align: center;
         }
      }

      .c-text-desc-in-bottom {
         z-index: 1;
         right: 0;
         left: 0;
         bottom: 0;
         position: absolute;
      }
   }
}

.c-card__filter {
   &.is-sticky {
      position: fixed !important;
      width:65.6%;
      margin-top: 12%;
      z-index: 99 !important;
   }
}

.u-mrgn-top--2p {
   margin-top: 2% !important;
}